Set Affiliate Program Products
Sets the program's complete product set. Listed products move here from their current program; products this program held and the request omits move to the default program. The default program's set may only grow. Cookie members require Hms-Company and Hms-Livemode; Idempotency-Key returns 400 invalid_request with idempotency_not_supported_for_member_routes. Bearer callers require Idempotency-Key. Agents cannot write affiliate records.
/affiliate_programs/{id}/productsSets the program's complete product set. Listed products move here from their current program; products this program held and the request omits move to the default program. The default program's set may only grow. Cookie members require Hms-Company and Hms-Livemode; Idempotency-Key returns 400 invalid_request with idempotency_not_supported_for_member_routes. Bearer callers require Idempotency-Key. Agents cannot write affiliate records.
In: header
Path Parameters
Opaque affiliate program ID.
^prg_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/affiliate_programs/string/products" \ -H "Content-Type: application/json" \ -d '{ "products": [ "string" ] }'{ "data": { "id": "string", "livemode": true, "reference": "string", "name": "string", "status": "active", "is_default": true, "attribution_rule": "locked_at_signup", "click_window_days": 1, "hold_days": 0, "join_policy": "auto", "self_referral_policy": "block", "show_referrer_at_checkout": true, "max_bindings_per_click": 1, "tier_drops_within_month": true, "allowed_hosts": [ "string" ], "archived_at": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}